internal String8
str8_init(u8 *cstring, u64 length)
{
  String8 result = { cstring, length };
  return result;
}

internal u8
string8_match(String8 a, String8 b)
{
  u8 result = 0;

  if (a.length == b.length)
  {
    u64 size = MIN(a.length, b.length);

    result = 1;
    for (u64 i = 0; i < size; i++ )
    {
      u8 at = a.content[i];
      i8 bt = b.content[i];

      if (at != bt)
      {
        result = 0;
        break;
      }
    }
  }

  return result;
}
