#ifndef WIN32_PLATFORM_H
#define WIN32_PLATFORM_H

#undef internal
#include <Windows.h>
#define internal static

//= rhjr: platform memory management

internal void * platform_memory_reserve(u64 size);
internal b8     platform_memory_commit(void *ptr, u64 size);
internal void   platform_memory_decommit(void *ptr, u64 size);
internal void   platform_memory_release(void *ptr, u64 size);

internal u64    platform_get_page_size(void);

#endif // WIN32_PLATFORM_H
